from rest_framework import serializers
from images.models import Image, Zone


class ZoneSerializer(serializers.ModelSerializer):
    x = serializers.IntegerField(source='box.x')
    y = serializers.IntegerField(source='box.y')
    width = serializers.IntegerField(source='box.width')
    height = serializers.IntegerField(source='box.height')

    class Meta:
        model = Zone
        fields = (
            'id',
            'x',
            'y',
            'width',
            'height',
            'url',
        )


class ImageSerializer(serializers.ModelSerializer):
    """
    Serialises an image
    """
    class Meta:
        model = Image
        fields = (
            'id',
            'path',
            'url',
        )
